<section class="o-card -blue">
  <div class="o-card__container">
    <h2 class="o-card__title">Wordt lid van een bestaand huishouden</h2>
    <ul class="a-alerts" *ngIf="errors">
      <li class="a-alert -error -can-dismiss" *ngFor="let error of errors">
        {{ error }}
        <button class="a-alert__dismiss" (click)="closeError(error)">
          <span><mat-icon>close</mat-icon></span>
        </button>
      </li>
    </ul>
    <form
      [formGroup]="joinHouseholdForm"
      (submit)="onJoinHousehold(joinHouseholdForm)"
    >
      <div class="m-form-group">
        <input
          type="checkbox"
          id="join-already-member"
          class="a-form-control-checkbox"
          formControlName="alreadyMember"
        />
        <label for="join-already-member" class="m-form-group__label -inline">
          Opnieuw lid worden van een huishouden
        </label>
      </div>
      <div class="m-form-group" *ngIf="!alreadyMemberControl.value">
        <label class="m-form-group__label" for="join-household-code">
          <p>Deelcode van het huishouden</p>
          <p class="m-form-group__label__subtext">
            Verkrijg deze code van een huisgenoot of start hieronder een nieuw
            huishouden.
          </p>
        </label>
        <input
          type="text"
          placeholder="Code"
          id="join-household-code"
          class="a-form-control"
          formControlName="householdCode"
          maxlength="5"
        />
        <ul class="m-form-group__messages">
          <li
            class="m-form-group__message -error"
            *ngIf="
              householdCodeControl.dirty &&
              householdCodeControl.touched &&
              (householdCodeControl.hasError('maxlength') ||
                householdCodeControl.hasError('minlength'))
            "
          >
            <span><mat-icon>error</mat-icon></span> Een code moet exact 5 tekens
            lang zijn.
          </li>
        </ul>
      </div>
      <div class="m-form-group" *ngIf="!alreadyMemberControl.value">
        <label class="m-form-group__label" for="join-username"
          >Je (bij)naam</label
        >
        <input
          type="text"
          placeholder="(Bij)naam"
          id="join-username"
          class="a-form-control"
          formControlName="username"
          maxlength="32"
        />
        <ul class="m-form-group__messages">
          <li
            class="m-form-group__message -error"
            *ngIf="
              usernameControl.dirty &&
              usernameControl.touched &&
              (usernameControl.hasError('maxlength') ||
                usernameControl.hasError('minlength'))
            "
          >
            <span><mat-icon>error</mat-icon></span> Je (bij)naam moet tussen de
            2 en 32 tekens lang zijn.
          </li>
        </ul>
      </div>
      <div class="m-form-group">
        <label class="m-form-group__label" for="join-email"
          >Je e-mailadres</label
        >
        <input
          type="email"
          placeholder="E-mailadres"
          id="join-email"
          class="a-form-control"
          formControlName="email"
        />
        <ul class="m-form-group__messages">
          <li
            class="m-form-group__message -error"
            *ngIf="
              emailControl.dirty &&
              emailControl.touched &&
              emailControl.hasError('email')
            "
          >
            <span><mat-icon>error</mat-icon></span> Vul een geldig e-mailadres
            is.
          </li>
        </ul>
      </div>
      <div class="m-form-group -last">
        <button
          type="submit"
          class="a-button -block -blue -large"
          [disabled]="!joinHouseholdForm.valid || isJoiningHousehold"
          [class.-is-loading]="isJoiningHousehold"
        >
          Wordt lid
        </button>
      </div>
    </form>
  </div>
</section>
